Bug 473589 - perftest failing against cluster
perftest failing against cluster
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
All Linux
urgent Severity urgent
: 1.1.1
: ---
Assigned To: Alan Conway
Kim van der Riet
: 472242 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-11-29 11:14 EST by Gordon Sim
Modified: 2009-01-08 15:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-08 15:55:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-11-29 11:14:21 EST

while ./perftest --count 100000 --nsubs 4 --npubs 4 --summary; do true; done

against a clustered broker should keep going, but fails after several runs.
Comment 1 Alan Conway 2008-12-03 12:00:42 EST
How does it fail? Any log file entries?
 --log-enable=debug+:cluster --log-enable=info+ gives better information on what the cluster is doing without imposing a per-message logging overhead.
Comment 2 Gordon Sim 2008-12-03 12:10:13 EST
Various framing related errors implying some sort of corruption of buffers before decoding, e.g.:

2008-dec-03 06:14:33 critical error in cluster delivery: framing-error: Frame size too small 0 (qpid/framing/AMQFrame.cpp:88)
Comment 3 Alan Conway 2008-12-04 12:05:43 EST
This is related to, and possibly caused by an aisexec issue:  https://bugzilla.redhat.com/show_bug.cgi?id=474277
Comment 4 Alan Conway 2008-12-09 08:53:46 EST
*** Bug 472242 has been marked as a duplicate of this bug. ***
Comment 5 Alan Conway 2009-01-08 15:55:25 EST
Fixed in rev 732768
Added flow control options with default values that work reliably.

Note You need to log in before you can comment on or make changes to this bug.